import 'package:meta/meta.dart';
import 'package:plurdart/src/models/rest/enums.dart';

class TimelinePlurkAdd {
  String content;
  Qualifier qualifier;
  List<int> limitedTo;
  Comment noComment;

  TimelinePlurkAdd({
    @required this.content,
    @required this.qualifier,
    this.limitedTo,
    this.noComment,
  });

  Map<String, String> toBody() {
    final Map<String, String> data = new Map<String, String>();
    if (content != null) data['content'] = content;

    String qualifierStr = qualifier.toString();
    if (qualifier != null) data['qualifier'] = qualifierStr.substring(qualifierStr.indexOf('.') + 1, qualifierStr.length).toLowerCase();

    if (limitedTo != null) data['limited_to'] = limitedTo.toString().replaceAll(' ', '');

    if (noComment != null) {
      switch (noComment) {
        case Comment.Allow:
          data['no_comments'] = '0';
          break;
        case Comment.DisableComment:
          data['no_comments'] = '1';
          break;
        case Comment.FriendsOnly:
          data['no_comments'] = '2';
          break;
      }
    }

    return data;
  }

}

