import 'user.dart';

class Alert {
  String posted;

  User fromUser;
  User toUser;
  User newFan;
  User friendInfo;
  User newFriend;
  User owner;

  int plurkId;
  String type;

  Alert({this.posted, this.owner, this.plurkId, this.type});

  Alert.fromJson(Map<String, dynamic> json) {
    posted = json['posted'];

    fromUser = json['from_user'] != null ? new User.fromJson(json['from_user']) : null;
    toUser = json['to_user'] != null ? new User.fromJson(json['to_user']) : null;
    newFan = json['new_fan'] != null ? new User.fromJson(json['new_fan']) : null;
    friendInfo = json['friend_info'] != null ? new User.fromJson(json['friend_info']) : null;
    newFriend = json['new_friend'] != null ? new User.fromJson(json['new_friend']) : null;
    owner = json['owner'] != null ? new User.fromJson(json['owner']) : null;

    plurkId = json['plurk_id'];
    type = json['type'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['posted'] = this.posted;

    if (this.owner != null) {
      data['from_user'] = this.fromUser.toJson();
    }

    if (this.owner != null) {
      data['to_user'] = this.toUser.toJson();
    }

    if (this.owner != null) {
      data['new_fan'] = this.newFan.toJson();
    }

    if (this.owner != null) {
      data['friend_info'] = this.friendInfo.toJson();
    }

    if (this.owner != null) {
      data['new_friend'] = this.newFriend.toJson();
    }

    if (this.owner != null) {
      data['owner'] = this.owner.toJson();
    }

    data['plurk_id'] = this.plurkId;
    data['type'] = this.type;
    return data;
  }
}