import 'base.dart';

class Emoticons extends Base {
  Map<int, List<List<String>>> karma;
  Map<int, List<List<String>>> recruited;
  List<List<String>> custom;

  Emoticons({this.karma, this.recruited, this.custom});

  Emoticons.fromJson(Map<String, dynamic> json) {

    // karma.
    Map<String, dynamic> karmaMap = json['karma'];
    karma = Map<int, List<List<String>>>();
    karmaMap.forEach((key, value) {
      List<dynamic> karmaOuterList = value;
      List<List<String>> karmaOuter = List<List<String>>();

      // Traversal outer list.
      karmaOuterList.forEach((element) {
        List<dynamic> karmaInnerList = element;
        List<String> karmaInner = List<String>();

        //Traversal inner list.
        karmaInnerList.forEach((element) {
          karmaInner.add(element);
        });
        karmaOuter.add(karmaInner);
      });

      karma[int.parse(key)] = karmaOuter;
    });

    // recruited.
    Map<String, dynamic> recruitedMap = json['recruited'];
    recruited = Map<int, List<List<String>>>();
    recruitedMap.forEach((key, value) {
      List<dynamic> recruitedOuterList = value;
      List<List<String>> recruitedOuter = List<List<String>>();

      // Traversal outer list.
      recruitedOuterList.forEach((element) {
        List<dynamic> recruitedInnerList = element;
        List<String> recruitedInner = List<String>();

        //Traversal inner list.
        recruitedInnerList.forEach((element) {
          recruitedInner.add(element);
        });
        recruitedOuter.add(recruitedInner);
      });

      recruited[int.parse(key)] = recruitedOuter;
    });

    // custom.
    List<dynamic> customOuterList = json['custom'];
    custom = List<List<String>>();
    // Traversal outer list.
    customOuterList.forEach((element) {
      List<dynamic> customInnerList = element;
      List<String> customInner = List<String>();

      //Traversal inner list.
      customInnerList.forEach((element) {
        customInner.add(element);
      });
      custom.add(customInner);
    });

    errorText = json['error_text'];
    successText = json['success_text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();

    if (this.karma != null) {
      // For the json object manually.
      Map<String, dynamic> map = Map<String, dynamic>();
      karma.forEach((key, value) {
        map[key.toString()] = value;
      });
      data['karma'] = map;
    }

    if (this.recruited != null) {
      // For the json object manually.
      Map<String, dynamic> map = Map<String, dynamic>();
      recruited.forEach((key, value) {
        map[key.toString()] = value;
      });
      data['recruited'] = map;
    }

    if (this.custom != null) {
      data['custom'] = this.custom.map((v) => v).toList();
    }

    data['error_text'] = this.errorText;
    data['success_text'] = this.successText;
    return data;
  }

  // -- We'll need other custom methods for this one --

}