import 'base.dart';
import 'user.dart';

class Profile extends Base {
  bool hasReadPermission;
  User userInfo;
  int friendsCount;
  int fansCount;
  String privacy;
  int alertsCount;
  int unreadCount;

  Profile(
      {this.hasReadPermission,
      this.userInfo,
      this.friendsCount,
      this.fansCount,
      this.privacy,
      this.alertsCount,
      this.unreadCount});

  Profile.fromJson(Map<String, dynamic> json) {
    hasReadPermission = json['has_read_permission'];
    userInfo = json['user_info'] != null
        ? new User.fromJson(json['user_info'])
        : null;
    friendsCount = json['friends_count'];
    fansCount = json['fans_count'];
    privacy = json['privacy'];
    alertsCount = json['alerts_count'];
    unreadCount = json['unread_count'];
    errorText = json['error_text'];
    successText = json['success_text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['has_read_permission'] = this.hasReadPermission;
    if (this.userInfo != null) {
      data['user_info'] = this.userInfo.toJson();
    }
    data['friends_count'] = this.friendsCount;
    data['fans_count'] = this.fansCount;
    data['privacy'] = this.privacy;
    data['alerts_count'] = this.alertsCount;
    data['unread_count'] = this.unreadCount;
    data['error_text'] = this.errorText;
    data['success_text'] = this.successText;
    return data;
  }
}
