
import 'base.dart';
import 'response.dart';
import 'user.dart';

class Responses extends Base {
  List<Response> responses;
  int responsesSeen;
  int responseCount;
  Map<String, User> friends;

  Responses({this.responses, this.responsesSeen, this.responseCount, this.friends});

  Responses.fromJson(Map<String, dynamic> json) {
    if (json['responses'] != null) {
      responses = new List<Response>();
      json['responses'].forEach((v) { responses.add(new Response.fromJson(v)); });
    }

    responsesSeen = json['responses_seen'];
    responseCount = json['response_count'];

    if (json['friends'] != null) {
      friends = new Map<String, User>();
      json['friends'].forEach((key, value) { friends[key] = User.fromJson(value); });
    }

    errorText = json['error_text'];
    successText = json['success_text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.responses != null) {
      data['responses'] = this.responses.map((v) => v.toJson()).toList();
    }
    data['responses_seen'] = this.responsesSeen;
    data['response_count'] = this.responseCount;

    if (this.friends != null) {
      Map<String, dynamic> map = Map<String, dynamic>();
      friends.forEach((key, value) {
        map[key] = value.toJson();
      });
      data['friends'] = map;
    }
    data['error_text'] = this.errorText;
    data['success_text'] = this.successText;
    return data;
  }
}